@media (max-width: 828px) {
    .card-wrap {
        --col: 2;
    }

    .news-top-cont {
        flex-direction: column;
    }

    .news-top .pic,
    .news-top .txt {
        width: 100%;
    }

    .talent-sec1 .sec-area {
        flex-direction: column;
    }

    .talent-sec1 .sec-area>*:not(.line) {
        width: 100%;
    }

    .talent-sec3 .swiper-slide {
        width: 85%;
    }

    .social-sec1 .sec-top,
    .ser-sec1 .sec-top {
        gap: 30px;
        flex-direction: column;
        align-items: flex-start;
    }

    .social-sec1 .filter-cont {
        flex-wrap: wrap;
    }

    .social-sec1 .filter-cont .filter,
    .social-sec1 .filter-curr {
        width: 100%;
    }

    .social-sec1 .inp-cont {
        width: 100%;
        height: max(40px, 60 * var(--rpx));
    }

    .news-detail-sec1 .info-wrap .title {
        font-size: calc(38 * var(--fpx-50));
    }

    .news-detail-sec1 .article-content .article-wrap,
    .news-detail-sec1 .info-wrap {
        padding: 0;
    }

    .video-sec1 .item .txt {
        min-height: unset;
    }

    .solution-sec1 .txt-cont,
    .solution-sec1 .item:nth-child(even) .txt-cont,
    .energy-sec2 .sec-area,
    .energy-sec4 .sec-area,
    .product-catalog-sec1 .txt-cont,
    .product-detail-banner .page-cont,
    .product-detail-sec2 .sec-area,
    .news-sec1 .sec-top,
    .management-sec3 .swiper-slide,
    .contact-us-sec1 .sec-area,
    .purchase-sec1 .sec-area {
        flex-direction: column;
    }

    .energy-sec2 .sec-area .txt {
        margin-top: 20px;
    }

    .energy-sec2 .sec-area .txt .item,
    .solution-sec1 .txt-cont>*,
    .product-catalog-sec1 .txt-cont>*,
    .product-detail-banner .txt,
    .product-detail-sec2 .item,
    .product-detail-sec2 .item.active,
    .management-sec3 .swiper-slide .txt,
    .management-sec3 .swiper-slide .pic,
    .campus-sec2 .video-cont,
    .campus-sec3 .sec-area,
    .contact-us-sec1 .department,
    .purchase-sec1 .location-wrap,
    .purchase-sec1 .location-wrap .item {
        width: 100%;
    }

    .news-wrap .txt {
        min-height: unset;
    }

    .product-sec1 .card-wrap,
    .product-detail-sec1 .card-wrap,
    .charity-sec1 .card-wrap {
        --col: 1;
    }

    .social-sec1 .item-top .icon {
        right: 15px;
        --w: 25px;
    }

    .management-sec1 .pic-intro {
        width: 100%;
        padding-right: calc(50 * var(--rpx-50));
    }

    .charity-sec1 .item:nth-child(even) {
        margin-top: 0;
    }
}

@media (max-width: 580px) {
    .card-wrap {
        --col: 1;
    }

    .join-us-banner .title {
        font-size: calc(50 * var(--fpx-50));
    }

    .social-sec1 .item-top {
        flex-direction: column;
        align-items: flex-start;
    }

    .social-sec1 .item-top .title,
    .social-sec1 .item-top .info {
        width: 100%;
    }

    .page-nav .page-cont {
        height: 40px;
    }

    .campus-sec1 .card-wrap {
        --col: 1;
    }

    .campus-sec3 .sec-area {
        flex-direction: column;
        gap: 30px;
    }

    .campus-sec1 .news-wrap {
        padding: 0;
    }

    .page-sec-top {
        width: 100%;
    }


}